summaryrefslogtreecommitdiff
path: root/qa/303
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/303
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/303')
-rwxr-xr-xqa/30351
1 files changed, 51 insertions, 0 deletions
diff --git a/qa/303 b/qa/303
new file mode 100755
index 0000000..163aec4
--- /dev/null
+++ b/qa/303
@@ -0,0 +1,51 @@
+#! /bin/sh
+# PCP QA Test No. 303
+# merge two archives, and check that mark records are placed in the
+# correct positions!!!
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+_filter()
+{
+ sed \
+ -e '/\[[0-9][0-9]* bytes\]/d'
+}
+
+status=1 # failure is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# deal with an annoying libc error ... using TZ=:Australia/Melbourne
+# causes the -z option to report the wrong time, at least for some
+# times of the year
+#
+TZ=EST-10
+export TZ
+
+# real QA test starts here
+
+echo "=== arch_a ==="
+pmdumplog -a -z src/arch_a | _filter
+
+echo
+echo "=== arch_b ==="
+pmdumplog -a -z src/arch_b | _filter
+
+rm -rf $tmp.arch*
+pmlogextract -z src/arch_a src/arch_b $tmp.arch
+
+echo
+echo "=== the merged archive ==="
+pmdumplog -a -z $tmp.arch | _filter
+
+# success, all done
+status=0
+exit